Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X OPTIONS "https://api.box.com/2.0/files/content" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{"name":"Contract.pdf", "parent":{"id":"11446498"}}'{
"upload_url": "https://upload-las.app.box.com/api/2.0/files/content?upload_session_id=1234",
"upload_token": "Pc3FIOG9vSGV4VHo4QzAyg5T1JvNnJoZ3ExaVNyQWw6WjRsanRKZG5lQk9qUE1BVQP"
}curl -i -X OPTIONS "https://api.box.com/2.0/files/content" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{"name":"Contract.pdf", "parent":{"id":"11446498"}}'{
"upload_url": "https://upload-las.app.box.com/api/2.0/files/content?upload_session_id=1234",
"upload_token": "Pc3FIOG9vSGV4VHo4QzAyg5T1JvNnJoZ3ExaVNyQWw6WjRsanRKZG5lQk9qUE1BVQP"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
If the check passed, the response will include a session URL that can be used to upload the file to.
The details for the upload session for the file.
A URL for an upload session that can be used to upload the file.
"https://upload-las.app.box.com/api/2.0/files/content?upload_session_id=1234"
An optional access token to use to upload the file.
"Pc3FIOG9vSGV4VHo4QzAyg5T1JvNnJoZ3ExaVNyQWw6WjRsanRKZG5lQk9qUE1BVQP"
Was this page helpful?